import server from '@/utils/request'


//查询
interface Query{
    pageSize:string|number	      //每页条数
    pageNo:string|number	      //页数
    path:string                   //路径                
}

export function getadlist(params:Query) {
  return server.request({
    url: '/cloud/alarm/list',
    method: 'get',
    params
  })
}

//新增
interface Addata{
    id?:string
    recipientIds:string     //通知人员
    path:string             //路径
}
export function addyctz(data:Addata) {
    return server.request({
      url: '/cloud/alarm/add',
      method: 'post',
      data
    })
}

//修改
export function updateab(data:Addata) {
    return server.request({
      url: '/cloud/alarm/update',
      method: 'post',
      data
    })
}

//删除
export function delab(id:String) {
  return server.request({
    url: '/cloud/alarm/del',
    method: 'post',
    data:{
      id
    }
  })
}